--AH:ScriptId=3c7832d0-a9f0-435d-84dd-a8fa4f0b14e4;2902
DECLARE @UpdateCheck_Next NVARCHAR(MAX)
SET @UpdateCheck_Next = (SELECT NULLIF(NULLIF(LTRIM(RTRIM([Value_Text])), ''), 'Never')
                           FROM [Configuration]
						  WHERE [Scope_Name] = 'Core'
                            AND [Key_Name] = 'UpdateCheck_Next')

INSERT INTO [ScheduledTasks]
(
	[ScheduledTaskType_Code],
	[Frequency_Hours],
	[StartTimeOfDay_Minutes],
	[EndTimeOfDay_Minutes],
	[Active_Indicator]
)
VALUES
(
	'UpdateChecker',
	24 * 7,
	0,
	0,
	CASE WHEN @UpdateCheck_Next IS NOT NULL THEN 'Y' ELSE 'N' END
)
GO

INSERT INTO [Configuration]
(
	[Scope_Name],
	[Key_Name],
	[Value_Text]
)
SELECT 'UpdateChecker', 'IncludeBeta', 'False'
UNION ALL
SELECT 'UpdateChecker', 'SkipVersion', ''
UNION ALL
SELECT 'UpdateChecker', 'HideUntil', ''
UNION ALL
SELECT 'UpdateChecker', 'LatestUpdates', ''

DELETE [Configuration]
 WHERE [Scope_Name] = 'Core'
   AND [Key_Name] IN ('UpdateCheck_Next', 'UpdateCheck_ShowReminder')