EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ApiKeys_GetAccessLog',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'ApiKeyAccessLogs',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details of a specific API access log.'
GO

IF OBJECT_ID('[ApiKeys_GetAccessLog]') IS NOT NULL DROP PROCEDURE [ApiKeys_GetAccessLog]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ApiKeys_GetAccessLog]
(
    @ApiKeyAccessLog_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * FROM [ApiKeyAccessLogs]
     WHERE [ApiKeyAccessLog_Id] = @ApiKeyAccessLog_Id

END
GO

GRANT EXECUTE ON [ApiKeys_GetAccessLog] TO [ProGetUser_Role]